import MESSAGE_ENUM from '@/uilts/messageCenter/iframe/messageEnum'
import messageCenter from '@/uilts/messageCenter/iframe'

const dom = {
    // ---- 获取推文文案 ---- 
    getTweetText({ iframeId }, overTime) {
        return new Promise((res, rej) => {
            messageCenter.send({
                info: {
                    actionType: MESSAGE_ENUM.IFRAME_DOM_GET_TWEET_TEXT,
                    iframeId: iframeId //用于告诉父窗口会传消息给哪个iframe
                },
                data: {},
                overTime,
                callback: (data) => {
                    res(data);
                },
                failback: (e) => {
                    rej(e)
                }
            })
        })
    }
}

export default dom